/**
 * Calculates the Body Fat Percentage using the U.S. Navy Method.
 * @param gender - The gender of the person ("male" or "female").
 * @param weight - The weight of the person in kilograms.
 * @param height - The height of the person in centimeters.
 * @param neck - The neck circumference in centimeters.
 * @param waist - The waist circumference in centimeters.
 * @param hips - The hip circumference in centimeters (required for females).
 * @returns The estimated body fat percentage.
 * @throws Error if any parameter is invalid or if hips are missing for females.
 */
export declare function calculateBodyFatPercentage(gender: "male" | "female", weight: number, height: number, neck: number, waist: number, hips?: number): number;
