/**
 * Calculates the Total Daily Energy Expenditure (TDEE) based on activity level.
 * @param weight - The weight of the person in kilograms.
 * @param height - The height of the person in centimeters.
 * @param age - The age of the person in years.
 * @param gender - The gender of the person ("male" or "female").
 * @param activityLevel - The activity level of the person ("sedentary", "light", "moderate", "active", "very_active").
 * @returns An object containing the TDEE value and its activity category.
 * @throws Error if any parameter is invalid.
 */
export declare function calculateCalories(weight: number, height: number, age: number, gender: "male" | "female", activityLevel: "sedentary" | "light" | "moderate" | "active" | "very_active"): {
    tdee: number;
    category: string;
};
