/**
 * Calculates the One Rep Max (1RM) using the Epley formula, with exercise-specific considerations.
 * @param weight - The weight lifted in kilograms.
 * @param reps - The number of repetitions performed with that weight.
 * @param exercise - The type of exercise ("squat", "deadlift", "bench_press", or "generic").
 * @returns The estimated one rep max value for the specified exercise.
 * @throws Error if weight, reps, or exercise type is invalid.
 */
export declare function calculateOneRepMax(weight: number, reps: number, exercise?: "squat" | "deadlift" | "bench_press" | "generic"): number;
